<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3c.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:p="http://primefaces.org/ui">


<h:head>
	<title>Devenir membre de l'association</title>
</h:head>
<h:body>
	<style type="text/css">
p {
	line-height: 1.5;
	margin: 0;
}

nav {
	background: #282828 !important;
}
</style>

	<nav>

	<div class="card">
		<p:tabMenu activeIndex="#{param.i}">

			<p:menuitem value="Présentation" outcome="presentation"
				icon="pi pi-heart">
				<f:param name="i" value="0" />
			</p:menuitem>
			<p:menuitem value="Livret d'Or" outcome="livret"
				icon="pi pi-comments">
				<f:param name="i" value="1" />
			</p:menuitem>
			<p:menuitem value="Devenir Membre" outcome="register"
				icon="pi pi-user-plus">
				<f:param name="i" value="2" />
			</p:menuitem>

		</p:tabMenu>
	</div>

	</nav>


	<div
		style="padding: 300px 750px 200px; background-image: url('https://i.pinimg.com/originals/49/2d/3d/492d3db4b0fad70c5b1033e55e3d9577.jpg'); background-size: cover; background-position: center; background-repeat: no-repeat;">

		<p:card style="width: 25rem; margin-bottom: 2em">
			<f:facet name="title">
	       Rejoins-nous
	    </f:facet>


			<div class="card">
				<h:form>
					<h:panelGrid columns="2" cellpadding="7">
						<h:outputLabel for="nom" value="Nom :" />
						<p:inputText id="nom" value="#{membreBean.membre.nom}"
							required="true">
							<p:clientValidator />
						</p:inputText>


						<h:outputLabel for="prenom" value="Prenom :" />
						<p:inputText id="prenom" value="#{membreBean.membre.prenom}"
							required="true">
							<p:clientValidator />
						</p:inputText>

						<h:outputLabel for="email" value="Email :" />
						<p:inputText id="email" value="#{membreBean.membre.email}"
							required="true">
							<p:clientValidator />
						</p:inputText>

						<h:outputLabel for="adresse" value="Adresse :" />
						<p:inputText id="adresse" value="#{membreBean.membre.adresse}"
							required="true">
							<p:clientValidator />
						</p:inputText>

						<h:outputLabel for="description" value="Description :" />
						<p:inputText id="description"
							value="#{membreBean.membre.description}">
							<p:clientValidator />
						</p:inputText>

					</h:panelGrid>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <p:commandButton value="S'inscrire" ajax="false"
						icon="pi pi-check" validateClient="true" styleClass="p-mt-3"
						action="#{membreBean.saveMembre()}" />
				</h:form>
			</div>
		</p:card>
	</div>


</h:body>
</html>